curl --request PATCH \
--url https://api.treasuryprime.com/person/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"mailing_address": {
"city": "Seattle",
"postal_code": "98102",
"state": "WA",
"street_line_1": "888 Rainy Lane",
"street_line_2": null
}
}
'import requests
url = "https://api.treasuryprime.com/person/{id}"
payload = { "mailing_address": {
"city": "Seattle",
"postal_code": "98102",
"state": "WA",
"street_line_1": "888 Rainy Lane",
"street_line_2": None
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mailing_address: {
city: 'Seattle',
postal_code: '98102',
state: 'WA',
street_line_1: '888 Rainy Lane',
street_line_2: null
}
})
};
fetch('https://api.treasuryprime.com/person/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_ids": [
"acct_1029384756"
],
"address": {
"city": "San Francisco",
"postal_code": "94104",
"state": "CA",
"street_line_1": "1 Market St",
"street_line_2": "Suite 42"
},
"email": "george@gmail.com",
"first_name": "George",
"id": "owner_9876543210",
"last_name": "Washington",
"mailing_address": {
"city": "Seattle",
"postal_code": "98102",
"state": "WA",
"street_line_1": "888 Rainy Lane",
"street_line_2": null
},
"middle_name": null,
"phone_number": "4154845555",
"suffix": null,
"tin_last4": "3192"
}Update a Person
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Body
The person to update
Address associated with the Person
Show child attributes
Show child attributes
Email address
Given name of person
Family name of person
The address where the person can receive mail. This is where physical cards will be sent when issued. If this field is null, physical_address will be used instead.
Show child attributes
Show child attributes
Middle name of person
The person's phone number. When necessary, this number will be used for calls or texts related to card activation.
The address of person's physical location
Show child attributes
Show child attributes
The person's suffix (e.g. 'Jr.', 'Sr.', 'III'), if applicable
Optional user data associated with the person
Response
The person updated
Account IDs associated with the Person
Address associated with the Person
Show child attributes
Show child attributes
Optional bank data associated with the person
Email address
Given name of person
Unique identifier for object
Family name of person
The address where the person can receive mail. This is where physical cards will be sent when issued. If this field is null, physical_address will be used instead.
Show child attributes
Show child attributes
Middle name of person
The person's phone number. When necessary, this number will be used for calls or texts related to card activation.
The address of person's physical location
Show child attributes
Show child attributes
The person's suffix (e.g. 'Jr.', 'Sr.', 'III'), if applicable
Last 4 digits of the person's tax ID (SSN), if available
Optional user data associated with the person
Was this page helpful?